<template>
  <div class="knowledge-con">
    <navs :isLogin="isLogin" :rightText="rightText" @went="goBack()"></navs>
    <div class="video-banner-con" id="J_prismPlayer">
      <img :src="movieSrc" alt="" />
    </div>
    <tabs :tabArray="tabArray" @clickSelect="clickSelect"></tabs>
      <div class="knowledge-list-con" v-if="tabIndex==0">
        <charpter :colArray="colArray" @getVideo="getVideo" @doExercise="toExercise"></charpter>
      </div>
      <div class="knowledge-list-con" v-else-if="tabIndex==1">

      </div>

    <footers :shareArr="shareArr" @share="shareClick" :isFooter="isFooter"></footers>
  </div>
</template>

<script>
  import navs from '../components/headers.vue';
  import tabs from '../components/tabs.vue';
  import footers from '../components/footer.vue';
  import charpter from '../components/collapse.vue';
  import M from '../utils/api.js';
export default {
  name: 'loading',
  data () {
    return {
      heights:window.innerHeight,
      isLogin:false,
      rightText:"考研数学线性代数基础（一）",
      isFooter:false,
      tabIndex:0,
      movieSrc:require('../assets/moviebanner.png'),
      shareArr:[{
        name:"123"
      },{
        name:"分享"
      }],
      tabArray:[{
          isOn:true,
        tNames:"章节"
      },{
        isOn:false,
        tNames:"笔记"
      }],
      colArray:[],
      chapterId:this.$route.query.chapterId,
      exercisesId:1,
      player:null
    }
  },
  created(){
      this.getChapterList();
  },
  mounted(){

  },
  methods:{
    goBack(){
        window.history.go(-1);
    },
    clickSelect(i){
      var vm=this;
      this.tabArray.forEach((it,idx)=>{
        it.isOn=idx==i;
        vm.tabIndex=i;
      })
    },
    shareClick(i){
        switch (i){
          case 0:
              console.log("ok");
          break;
          case 1:
            console.log("share");
          break;
        }
    },
    getChapterList(){
        let paras={
            chapterId:this.chapterId
        },vm=this;
      M.getExerciseList(function(data){
          vm.exercisesId=data.exercisesId;
          vm.colArray=data.datas;
      },paras)
    },
    endedHandle(vid,cSrc,pAuth){
      this.player = new Aliplayer({
          id: 'J_prismPlayer',
          width: '100%',
          autoplay: false,
          vid :vid,
          playauth : pAuth,
          cover:cSrc
      })
      this.movieSrc=cSrc;
      this.player.replayByVidAndPlayAuth(vid,pAuth);
    },
    getVideo(item){
      let para={
        videoId:item.videoId
      },vm=this;

      M.getVideoList(function(data,sid){
          vm.endedHandle(data.videoId, data.coverURL,data.playAuth);
          //vm.$router.push({path:"/knowledge",query:{knowledgeId:item.knowledgeId,exercisesId:item.exercisesId,subjectId:sid}})
      },para)

    },
    toExercise(){
        let vm=this;
        this.$router.push({path:"/exersice",query:{exercisesId:vm.exercisesId}})
    }

  },
  components:{
    navs,
    tabs,
    footers,
    charpter
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
    @import "../styles/base.css";
    @import "../styles/loading.css";
</style>
